# whos

listing of variables in long form

## Calling Sequence

    whos()
                whos -type typ
                whos -name nam

## Arguments

typ

  a name of selected variable type (see typeof)

nam

  first characters of selected names

## Description

`whos()` displays all current variable names sorted by name (case insensitive), types and memory used.

`whos -type typ` displays all current variables with specified type.

`whos -name nam` displays all current variables whose names begin with `nam`.

Note : If a variable is global, a * appears after his type name.

## Examples

    lines(0)
    whos()
    whos -type boolean
    whos -name %

## See Also

- who
- who_user
- typeof